<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:tns="http://tempuri.org/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:element name="CreateMaterialSpec">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="oa" type="tns:OAMateral_New" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="OAMateral_New">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Factory" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Amount" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="RawMaterialDescription" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EnglishName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="OtherNames" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BotanicalSpeciesName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BotanicalFamily" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CAS_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="FL_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="FEMA_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="NAS_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CoE_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EINECS_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="JECFA_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EU_Additive_No" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="INS" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="CNS" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Description" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EmpiricalFormula" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="MW" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="AcidValue" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="AerobicPlateCount" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Aldehyde" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Appearance" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Ash_total" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Assay" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BoilingPointOrBoilingRange" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Coliform" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="FlashPoint" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HeavyMetals_As" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="AsHeavyMetals_asPbhTotal" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="InsolubleMatter" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="LC50" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="LogP" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="LossOnDrying" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="MeltingPointOrMeltingRange" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Methanol" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Specific_OpticalRotation" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="RefractiveIndex" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="EvaporationResidue" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BurningResidue" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Solubility" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="RelativeDensity" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="VapourPressure" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Viscosity" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Odor" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Moisture" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="AromaThresholdValues" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="TasteThresholdValues" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="FragranceNotes" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="NaturalOccurrence" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Synthesis" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Remarks" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ReferenceStandard" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="MDM_code" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="SAP_Name" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Supplier" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="PurchasePrice" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Halal" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Kosher" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Allergen" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="irradiation" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="GeneticallyModified" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="RMC" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="category" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="OldCode" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="OldCode2" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="RawMaterialResource" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="CreateMaterialSpecResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateMaterialSpecResult" type="tns:RestResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="RestResult">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="code" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="message" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="data" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Specifications">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="SP" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="SP_Version" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="OAProject">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="HB_HBBT" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_SQR" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_SQRQ" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_SQBM" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_SSGS" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_YWBK" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_SMMC" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMHZXZ" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMLX" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMJB" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMBJ" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMJZ" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_KHFL" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMBH" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMURLDZ" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_XMJD" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_YFBMLD" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_YYBMLD" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_TXS" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="HB_YYGCS" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="MySoapHeader" type="tns:MySoapHeader" />
      <s:complexType name="MySoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="PassWord" type="s:string" />
        </s:sequence>
        <s:anyAttribute />
      </s:complexType>
      <s:element name="OAProjectDataToPLM">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="oAProject" type="tns:OAProject" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="OAProjectDataToPLMResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="OAProjectDataToPLMResult" type="tns:RestResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="OAworkflowToPLM">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="oAWorkFlowInfo" type="tns:OAWorkFlowInfo" />
            <s:element minOccurs="0" maxOccurs="1" name="oAWorkFlowInfoDetial_list" type="tns:ArrayOfOAWorkFlowInfoDetial" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="OAWorkFlowInfo">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="ShortDescription" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="userWorkCode" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ApplicationDays" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfOAWorkFlowInfoDetial">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="OAWorkFlowInfoDetial" nillable="true" type="tns:OAWorkFlowInfoDetial" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="OAWorkFlowInfoDetial">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="SpecificationValue_ITEM" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ifAllow" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="AllowRevision" type="s:int" />
        </s:sequence>
      </s:complexType>
      <s:element name="OAworkflowToPLMResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="OAworkflowToPLMResult" type="tns:RestResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSpecificationsList">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Specificationinfo" type="tns:InputSpecifications" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="InputSpecifications">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="USERNAME" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="PASSWORD" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Specifications" type="tns:ArrayOfSpecifications" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfSpecifications">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="Specifications" nillable="true" type="tns:Specifications" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetSpecificationsListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSpecificationsListResult" type="tns:RestResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCraftURL">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Specificationinfo" type="tns:ArrayOfSpecifications" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCraftURLResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCraftURLResult" type="tns:RestResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="test">
        <s:complexType />
      </s:element>
      <s:element name="testResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="testResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="CreateMaterialSpecSoapIn">
    <wsdl:part name="parameters" element="tns:CreateMaterialSpec" />
  </wsdl:message>
  <wsdl:message name="CreateMaterialSpecSoapOut">
    <wsdl:part name="parameters" element="tns:CreateMaterialSpecResponse" />
  </wsdl:message>
  <wsdl:message name="CreateMaterialSpecMySoapHeader">
    <wsdl:part name="MySoapHeader" element="tns:MySoapHeader" />
  </wsdl:message>
  <wsdl:message name="OAProjectDataToPLMSoapIn">
    <wsdl:part name="parameters" element="tns:OAProjectDataToPLM" />
  </wsdl:message>
  <wsdl:message name="OAProjectDataToPLMSoapOut">
    <wsdl:part name="parameters" element="tns:OAProjectDataToPLMResponse" />
  </wsdl:message>
  <wsdl:message name="OAProjectDataToPLMMySoapHeader">
    <wsdl:part name="MySoapHeader" element="tns:MySoapHeader" />
  </wsdl:message>
  <wsdl:message name="OAworkflowToPLMSoapIn">
    <wsdl:part name="parameters" element="tns:OAworkflowToPLM" />
  </wsdl:message>
  <wsdl:message name="OAworkflowToPLMSoapOut">
    <wsdl:part name="parameters" element="tns:OAworkflowToPLMResponse" />
  </wsdl:message>
  <wsdl:message name="OAworkflowToPLMMySoapHeader">
    <wsdl:part name="MySoapHeader" element="tns:MySoapHeader" />
  </wsdl:message>
  <wsdl:message name="GetSpecificationsListSoapIn">
    <wsdl:part name="parameters" element="tns:GetSpecificationsList" />
  </wsdl:message>
  <wsdl:message name="GetSpecificationsListSoapOut">
    <wsdl:part name="parameters" element="tns:GetSpecificationsListResponse" />
  </wsdl:message>
  <wsdl:message name="GetCraftURLSoapIn">
    <wsdl:part name="parameters" element="tns:GetCraftURL" />
  </wsdl:message>
  <wsdl:message name="GetCraftURLSoapOut">
    <wsdl:part name="parameters" element="tns:GetCraftURLResponse" />
  </wsdl:message>
  <wsdl:message name="testSoapIn">
    <wsdl:part name="parameters" element="tns:test" />
  </wsdl:message>
  <wsdl:message name="testSoapOut">
    <wsdl:part name="parameters" element="tns:testResponse" />
  </wsdl:message>
  <wsdl:portType name="OAServiceSoap">
    <wsdl:operation name="CreateMaterialSpec">
      <wsdl:input message="tns:CreateMaterialSpecSoapIn" />
      <wsdl:output message="tns:CreateMaterialSpecSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="OAProjectDataToPLM">
      <wsdl:input message="tns:OAProjectDataToPLMSoapIn" />
      <wsdl:output message="tns:OAProjectDataToPLMSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="OAworkflowToPLM">
      <wsdl:input message="tns:OAworkflowToPLMSoapIn" />
      <wsdl:output message="tns:OAworkflowToPLMSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetSpecificationsList">
      <wsdl:input message="tns:GetSpecificationsListSoapIn" />
      <wsdl:output message="tns:GetSpecificationsListSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetCraftURL">
      <wsdl:input message="tns:GetCraftURLSoapIn" />
      <wsdl:output message="tns:GetCraftURLSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="test">
      <wsdl:input message="tns:testSoapIn" />
      <wsdl:output message="tns:testSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="OAServiceSoap" type="tns:OAServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CreateMaterialSpec">
      <soap:operation soapAction="http://tempuri.org/CreateMaterialSpec" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
        <soap:header message="tns:CreateMaterialSpecMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="OAProjectDataToPLM">
      <soap:operation soapAction="http://tempuri.org/OAProjectDataToPLM" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
        <soap:header message="tns:OAProjectDataToPLMMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="OAworkflowToPLM">
      <soap:operation soapAction="http://tempuri.org/OAworkflowToPLM" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
        <soap:header message="tns:OAworkflowToPLMMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSpecificationsList">
      <soap:operation soapAction="http://tempuri.org/GetSpecificationsList" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCraftURL">
      <soap:operation soapAction="http://tempuri.org/GetCraftURL" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="test">
      <soap:operation soapAction="http://tempuri.org/test" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="OAServiceSoap12" type="tns:OAServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CreateMaterialSpec">
      <soap12:operation soapAction="http://tempuri.org/CreateMaterialSpec" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
        <soap12:header message="tns:CreateMaterialSpecMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="OAProjectDataToPLM">
      <soap12:operation soapAction="http://tempuri.org/OAProjectDataToPLM" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
        <soap12:header message="tns:OAProjectDataToPLMMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="OAworkflowToPLM">
      <soap12:operation soapAction="http://tempuri.org/OAworkflowToPLM" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
        <soap12:header message="tns:OAworkflowToPLMMySoapHeader" part="MySoapHeader" use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSpecificationsList">
      <soap12:operation soapAction="http://tempuri.org/GetSpecificationsList" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCraftURL">
      <soap12:operation soapAction="http://tempuri.org/GetCraftURL" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="test">
      <soap12:operation soapAction="http://tempuri.org/test" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="OAService">
    <wsdl:port name="OAServiceSoap" binding="tns:OAServiceSoap">
      <soap:address location="https://plmtest.hbflavor.com/PlmWebService/OAService.asmx" />
    </wsdl:port>
    <wsdl:port name="OAServiceSoap12" binding="tns:OAServiceSoap12">
      <soap12:address location="https://plmtest.hbflavor.com/PlmWebService/OAService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>